<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Добавить книгу</title>
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3">Добавить фильм</h3>
    <form enctype="multipart/form-data" class="needs-validation" novalidate style="max-width:
    50vw" method="POST" th:action="@{/directors/add}" th:object="${directorForm}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <!--Название поля инпута должно строго соответствовать названию поля класса (DTO)-->
                    <input name="fio" type="text" class="form-control" id="fio" placeholder="Имя режиссера" required>
                    <label for="fio">Имя режиссера</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>

        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="birthDate" type="date" class="form-control" id="birthDate" placeholder="Дата рождения" required>
                    <label for="birthDate">Дата рождения</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>

            <div class="mt-3 row g-2">
                <div class="col-md">
                    <div class="form-floating">
                        <input name="position" type="number" class="form-control" id="position" placeholder="Позиция в рейтинге" required>
                        <label for="position">Позиция</label>
                        <div class="invalid-feedback">Обязательное поле для заполнения</div>
                    </div>
                </div>
            </div>

            <div class="col-md">
                <div class="form-floating">
                    <textarea name="description" type="text" class="form-control" id="description"
                              placeholder="Описание"></textarea>
                    <label for="description">Описание</label>
                </div>
            </div>

        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm()">Добавить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </form>
</div>
</body>
</html>